v1-platform
Instrument Health
Instrument Health
curl --request GET \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/analytics/instrument-health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/analytics/instrument-health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/analytics/instrument-health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completion_rate": 0.5,
"ends_at": "2023-11-07T05:31:56Z",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"privacy_floor_applied": true,
"sessions_abandoned": 1,
"sessions_active": 1,
"sessions_completed": 1,
"sessions_started": 1,
"starts_at": "2023-11-07T05:31:56Z",
"median_active_ms": 1,
"median_questions": 1,
"question_health": [
{
"answer_change_rate": 0.5,
"answer_changes": 1,
"answer_rate": 0.5,
"answers": 1,
"question_id": "<string>",
"respondents": 1,
"skip_rate": 0.5,
"skips": 1,
"views": 1,
"median_elapsed_ms": 1,
"reasons": [
"<string>"
]
}
],
"reasons": [
"<string>"
]
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Path Parameters
Response
Successful Response
Required range:
0 <= x <= 1Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Available options:
healthy, attention_required, insufficient_data Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
⌘I
Instrument Health
